<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.disco.DiscoInfo</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        <a href="pyxmpp.jabber.disco-module.html">Module&nbsp;disco</a> ::
        Class&nbsp;DiscoInfo
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class DiscoInfo</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo">source&nbsp;code</a></span></p>
<pre class="base-tree">
                        object --+    
                                 |    
<a href="pyxmpp.objects.StanzaPayloadWrapperObject-class.html">objects.StanzaPayloadWrapperObject</a> --+
                                     |
                                    <strong class="uidshort">DiscoInfo</strong>
</pre>

<hr />
A disco#info response object.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode_or_node</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">parent</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">doc</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize an <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__del__"></a><span class="summary-sig-name">__del__</span>(<span class="summary-sig-arg">self</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.__del__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#get_node" class="summary-sig-name">get_node</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the node address of the <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.get_node">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#set_node" class="summary-sig-name">set_node</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">node</span>)</span><br />
      Set the node of the disco#info element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.set_node">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">list</code> of <code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#get_features" class="summary-sig-name">get_features</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the features contained in <code class="link">self</code>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.get_features">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#set_features" class="summary-sig-name">set_features</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">features</span>)</span><br />
      Set features in the disco#info object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.set_features">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">bool</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#has_feature" class="summary-sig-name">has_feature</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">var</span>)</span><br />
      Check if <code class="link">self</code> contains the named feature.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.has_feature">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="invalidate_features"></a><span class="summary-sig-name">invalidate_features</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Clear cached feature list.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.invalidate_features">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#add_feature" class="summary-sig-name">add_feature</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">var</span>)</span><br />
      Add a feature to <code class="link">self</code>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.add_feature">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#remove_feature" class="summary-sig-name">remove_feature</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">var</span>)</span><br />
      Remove a feature from <code class="link">self</code>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.remove_feature">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">list</code> of <a href="pyxmpp.jabber.disco.DiscoIdentity-class.html" class="link">DiscoIdentity</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#get_identities" class="summary-sig-name">get_identities</a>(<span class="summary-sig-arg">self</span>)</span><br />
      List the identity objects contained in <code class="link">self</code>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.get_identities">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#set_identities" class="summary-sig-name">set_identities</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">identities</span>)</span><br />
      Set identities in the disco#info object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.set_identities">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">bool</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#identity_is" class="summary-sig-name">identity_is</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">item_category</span>,
        <span class="summary-sig-arg">item_type</span>=<span class="summary-sig-default">None</span>)</span><br />
      Check if the item described by <code class="link">self</code> belongs to the given category
and type.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.identity_is">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="invalidate_identities"></a><span class="summary-sig-name">invalidate_identities</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Clear cached identity list.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.invalidate_identities">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.disco.DiscoIdentity-class.html" class="link">DiscoIdentity</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#add_identity" class="summary-sig-name">add_identity</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">item_name</span>,
        <span class="summary-sig-arg">item_category</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">item_type</span>=<span class="summary-sig-default">None</span>)</span><br />
      Add an identity to the <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.add_identity">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.objects.StanzaPayloadWrapperObject-class.html">objects.StanzaPayloadWrapperObject</a></code></b>:
      <code><a href="pyxmpp.objects.StanzaPayloadWrapperObject-class.html#as_xml">as_xml</a></code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__delattr__</code>,
      <code>__format__</code>,
      <code>__getattribute__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>__sizeof__</code>,
      <code>__str__</code>,
      <code>__subclasshook__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.disco.DiscoInfo-class.html#node" class="summary-name">node</a><br />
      : node name of the disco#info element (cached).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">tuple</code> of <code class="link">unicode</code></span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.disco.DiscoInfo-class.html#features" class="summary-name">features</a><br />
      : features in the disco#info object.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">tuple</code> of <a href="pyxmpp.jabber.disco.DiscoIdentity-class.html" class="link">DiscoIdentity</a></span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.disco.DiscoInfo-class.html#identities" class="summary-name">identities</a><br />
      : identities in the disco#info object.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">libxml2.xmlNode</code></span>
    </td><td class="summary">
        <a name="xmlnode"></a><span class="summary-name">xmlnode</span><br />
      : XML node of the object.
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode_or_node</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">parent</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">doc</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Initialize an <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a> object.</p>
<p>Wrap an existing disco#info XML element or create a new one.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode_or_node</code></strong> (: <code class="link">libxml2.xmlNode</code> or <code class="link">unicode</code>) - : XML node to be wrapped into <code class="link">self</code> or an item
node name.</li>
        <li><strong class="pname"><code>parent</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : parent node for the <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a> element.</li>
        <li><strong class="pname"><code>doc</code></strong> (: <code class="link">libxml2.xmlDoc</code>) - : document for the <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a> element.</li>
    </ul></dd>
    <dt>Overrides:
        object.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="get_node"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_node</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.get_node">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the node address of the <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a> object.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>the node name.</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_node"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_node</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">node</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.set_node">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Set the node of the disco#info element.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>node</code></strong> (: <code class="link">unicode</code>) - : the new node or <code class="link">None</code>.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="get_features"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_features</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.get_features">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the features contained in <code class="link">self</code>.
  <dl class="fields">
    <dt>Returns: <code class="link">list</code> of <code class="link">unicode</code></dt>
        <dd>the list of features.</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_features"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_features</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">features</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.set_features">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Set features in the disco#info object.</p>
<p>All existing features are removed from <code class="link">self</code>.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>features</code></strong> (: sequence of <code class="link">unicode</code>) - : list of features.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="has_feature"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">has_feature</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">var</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.has_feature">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Check if <code class="link">self</code> contains the named feature.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>var</code></strong> (: <code class="link">unicode</code>) - : the feature name.</li>
    </ul></dd>
    <dt>Returns: <code class="link">bool</code></dt>
        <dd><code class="link">True</code> if the feature is found in <code class="link">self</code>.</dd>
  </dl>
</td></tr></table>
</div>
<a name="add_feature"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">add_feature</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">var</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.add_feature">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Add a feature to <code class="link">self</code>.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>var</code></strong> (: <code class="link">unicode</code>) - : the feature name.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="remove_feature"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">remove_feature</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">var</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.remove_feature">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Remove a feature from <code class="link">self</code>.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>var</code></strong> (: <code class="link">unicode</code>) - : the feature name.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="get_identities"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_identities</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.get_identities">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  List the identity objects contained in <code class="link">self</code>.
  <dl class="fields">
    <dt>Returns: <code class="link">list</code> of <a href="pyxmpp.jabber.disco.DiscoIdentity-class.html" class="link">DiscoIdentity</a></dt>
        <dd>the list of identities.</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_identities"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_identities</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">identities</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.set_identities">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Set identities in the disco#info object.</p>
<p>Remove all existing identities from <code class="link">self</code>.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>identities</code></strong> (: sequence of <a href="pyxmpp.jabber.disco.DiscoIdentity-class.html" class="link">DiscoIdentity</a> or sequence of sequences) - : list of identities or identity properties
(jid,node,category,type,name).</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="identity_is"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">identity_is</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">item_category</span>,
        <span class="sig-arg">item_type</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.identity_is">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Check if the item described by <code class="link">self</code> belongs to the given category
and type.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>item_category</code></strong> (: unicode) - : the category name.</li>
        <li><strong class="pname"><code>item_type</code></strong> (: unicode) - : the type name. If <code class="link">None</code> then only the category is
checked.</li>
    </ul></dd>
    <dt>Returns: <code class="link">bool</code></dt>
        <dd><code class="link">True</code> if <code class="link">self</code> contains at least one &lt;identity/&gt; object with
given type and category.</dd>
  </dl>
</td></tr></table>
</div>
<a name="add_identity"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">add_identity</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">item_name</span>,
        <span class="sig-arg">item_category</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">item_type</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoInfo.add_identity">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Add an identity to the <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a> object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>item_name</code></strong> (: <code class="link">unicode</code>) - : name of the item.</li>
        <li><strong class="pname"><code>item_category</code></strong> (: <code class="link">unicode</code>) - : category of the item.</li>
        <li><strong class="pname"><code>item_type</code></strong> (: <code class="link">unicode</code>) - : type of the item.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.jabber.disco.DiscoIdentity-class.html" class="link">DiscoIdentity</a></dt>
        <dd>the identity created.</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== INSTANCE VARIABLE DETAILS ==================== -->
<a name="section-InstanceVariableDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variable Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariableDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="node"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">node</h3>
  : node name of the disco#info element (cached).
  <dl class="fields">
    <dt>Get Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#get_node" class="summary-sig-name">get_node</a>(<span class="summary-sig-arg">self</span>)</span>
        - Get the node address of the <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a> object.
    </dd>
    <dt>Set Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#set_node" class="summary-sig-name">set_node</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">node</span>)</span>
        - Set the node of the disco#info element.
    </dd>
    <dt>Type:</dt>
      <dd>: <code class="link">unicode</code></dd>
  </dl>
</td></tr></table>
</div>
<a name="features"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">features</h3>
  : features in the disco#info object.
  <dl class="fields">
    <dt>Get Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#get_features" class="summary-sig-name">get_features</a>(<span class="summary-sig-arg">self</span>)</span>
        - Get the features contained in <code class="link">self</code>.
    </dd>
    <dt>Set Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#set_features" class="summary-sig-name">set_features</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">features</span>)</span>
        - Set features in the disco#info object.
    </dd>
    <dt>Type:</dt>
      <dd>: <code class="link">tuple</code> of <code class="link">unicode</code></dd>
  </dl>
</td></tr></table>
</div>
<a name="identities"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">identities</h3>
  : identities in the disco#info object.
  <dl class="fields">
    <dt>Get Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#get_identities" class="summary-sig-name">get_identities</a>(<span class="summary-sig-arg">self</span>)</span>
        - List the identity objects contained in <code class="link">self</code>.
    </dd>
    <dt>Set Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html#set_identities" class="summary-sig-name">set_identities</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">identities</span>)</span>
        - Set identities in the disco#info object.
    </dd>
    <dt>Type:</dt>
      <dd>: <code class="link">tuple</code> of <a href="pyxmpp.jabber.disco.DiscoIdentity-class.html" class="link">DiscoIdentity</a></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:01 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
